k0rdent AI Docs

Update group

Visibility: public ยท internal ( OpenAPI Custom Extension: x-visibility )

Update group details. Use the /groups/{id}/members sub-resource for membership changes.

PATCH
/v1/regions/global/iam/groups/{id}

Authorization

bearerAuth
AuthorizationBearer <token>

Bearer token authentication using OAuth2/OIDC tokens

In: header

Path Parameters

id*string

Unique group identifier

Request Body

application/json

displayName?string

Updated display name

description?string

Updated group description

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X PATCH "https://api.k0rdent.ai/v1/regions/global/iam/groups/string" \  -H "Content-Type: application/json" \  -d '{}'
{
  "selfLink": "/v1/regions/global/iam/groups/group-d5e6f7",
  "uid": "07cc67f4-45d6-494b-adac-09b5cbc7e2b5",
  "id": "group-d5e6f7",
  "displayName": "Platform Engineers",
  "description": "string",
  "memberCount": 12,
  "createdAt": "2019-08-24T14:15:22Z",
  "updatedAt": "2019-08-24T14:15:22Z"
}
{
  "error": {
    "code": 0,
    "message": "string",
    "details": [
      {}
    ]
  }
}
{
  "error": {
    "code": 0,
    "message": "string",
    "details": [
      {}
    ]
  }
}
{
  "error": {
    "code": 0,
    "message": "string",
    "details": [
      {}
    ]
  }
}
{
  "error": {
    "code": 0,
    "message": "string",
    "details": [
      {}
    ]
  }
}
{
  "error": {
    "code": 0,
    "message": "string",
    "details": [
      {}
    ]
  }
}

How is this guide?

On this page

No Headings